Package org.apache.ignite.internal.sql.command

## Class SqlCreateViewCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlCreateViewCommand

All Implemented Interfaces:
  `SqlCommand`

    public class SqlCreateViewCommand
    extends Object
    implements SqlCommand

CREATE VIEW command.

### Constructor Summary

Constructors
`SqlCreateViewCommand()` Default constructor.
`SqlCreateViewCommand​(String schemaName, String viewName, String viewSql, boolean replace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SqlCommand` `parse​(SqlLexer lex)` Parse command.
`boolean` `replace()`
`SqlCreateViewCommand` `replace​(boolean replace)` Sets REPLACE flag.
`String` `schemaName()`
`void` `schemaName​(String schemaName)`
`String` `toString()`
`String` `viewName()`
`String` `viewSql()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlCreateViewCommand

    public SqlCreateViewCommand()

Default constructor.

#### SqlCreateViewCommand

    public SqlCreateViewCommand​(String schemaName,
                                String viewName,
                                String viewSql,
                                boolean replace)

Parameters:
  `schemaName` - Schema name.
  `viewName` - View name.
  `viewSql` - View SQL.
  `replace` - Replace flag.

### Method Detail

#### viewName

    public String viewName()

Returns:
  View name.

#### viewSql

    public String viewSql()

Returns:
  View SQL.

#### replace

    public boolean replace()

Returns:
  REPLACE flag.

#### replace

    public SqlCreateViewCommand replace​(boolean replace)

Sets REPLACE flag.

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName​(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

#### parse

    public SqlCommand parse​(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`